Package uk.ac.starlink.topcat.plot

# Class GraphicsWindow.ReplotListener

java.lang.Object
uk.ac.starlink.topcat.plot.GraphicsWindow.ReplotListener

All Implemented Interfaces:
  `ActionListener`, `ItemListener`, `EventListener`, `ChangeListener`, `ListSelectionListener`

Enclosing class:
  GraphicsWindow

protected class GraphicsWindow.ReplotListener extends Object implements ActionListener, ItemListener, ListSelectionListener, ChangeListener
General purpose listener which replots given an event.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ReplotListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent evt)`
`void`
`itemStateChanged(ItemEvent evt)`
`void`
`stateChanged(ChangeEvent evt)`
`void`
`valueChanged(ListSelectionEvent evt)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReplotListener

protected ReplotListener()

## Method Details

### actionPerformed

public void actionPerformed(ActionEvent evt)

Specified by:
  `actionPerformed` in interface `ActionListener`

### itemStateChanged

public void itemStateChanged(ItemEvent evt)

Specified by:
  `itemStateChanged` in interface `ItemListener`

### valueChanged

public void valueChanged(ListSelectionEvent evt)

Specified by:
  `valueChanged` in interface `ListSelectionListener`

### stateChanged

public void stateChanged(ChangeEvent evt)

Specified by:
  `stateChanged` in interface `ChangeListener`